Loading...
Searching...
No Matches
net::Services Interface Reference

Network services configuration interface. More...

`import <Services.idl;`

## Public Member Functions

void | getSettings (out vector< ServiceSettings > servicesSettings)
| Retrieve the network services settings.
int | setSettings (in vector< ServiceSettings > servicesSettings)
| Change the network services settings.

## Public Attributes

constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.

## Detailed Description

Network services configuration interface.

Definition at line 19 of file Services.idl.

## Member Function Documentation

## getSettings()

void net::Services::getSettings | ( | out vector< ServiceSettings > | servicesSettings | ) |

Retrieve the network services settings.

Parameters

  servicesSettings | List of all network services settings

## setSettings()

int net::Services::setSettings | ( | in vector< ServiceSettings > | servicesSettings | ) |

Change the network services settings.

This call changes the settings of one or more network services identified by name. Other services are not affected. The resulting configuration of all enabled services must be consistent, i.e. there must be not port collisions.

Parameters

  servicesSettings | List of network services settings to be changed

Returns
  0 if OK
  1 if any parameters were invalid

## Member Data Documentation

## ERR_INVALID_PARAMS

constant int net::Services::ERR_INVALID_PARAMS = 1

Invalid parameters.

Definition at line 21 of file Services.idl.

The documentation for this interface was generated from the following file:

- Services.idl